Summary: Ruby interface to the Perl Compatible Regular Expression library
Name: ruby-pcre
Version: 0.1
Release: 2
License: freely redistributable
Group: Applications/Ruby
Source: http://home.nownuri.net/~phasis/pcre/pcre.tar.gz
Patch: ruby-pcre.diff
URL: http://home.nownuri.net/~phasis/pcre/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby, pcre-devel >= 3.9
Requires: pcre >= 3.9
%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )
%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.5
%endif

%description
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl 5.

PCRE has its own native API, as well as a set of wrapper functions that
correspond to the POSIX regular expression API. 

%prep
%setup -n pcre
%patch -p1

%build
ruby extconf.rb
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

strip pcre.so

make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_bindir}

find $RPM_BUILD_ROOT -type f -print | \
        ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc README test.rb

%changelog
* Sat May 31 2003 Ian Macdonald <ian@caliban.org> 0.1-2
- allow to build under Ruby 1.6 or 1.8

* Tue Dec 17 2002 Ian Macdonald <ian@caliban.org> 0.1-1
- 0.1
